# $Id: qt.FreeBSD.mk,v 1.0 2004/11/05 10:22:11 denis Exp $

QTDIR= /usr/X11R6
MOC= ${QTDIR}/bin/moc
LUPDATE= ${QTDIR}/bin/lupdate
LRELEASE= ${QTDIR}/bin/lrelease
QTCFLAGS= ${QTDIR}/include -DQT_NO_COMPAT -pthread
QTLFLAGS= -L${QTDIR}/lib -lqt-mt -pthread

CFLAGS+= -I${QTCFLAGS}
LDADD+= ${QTLFLAGS}

SRCMOC= ${MOCS:M*.h:R:S/$/.cxx/g}
OBJMOC= ${MOCS:M*.h:R:S/$/.mo/g}
OBJS+= ${OBJMOC}
CLEANFILES+= ${SRCMOC}

.SUFFIXES: .h .cxx .mo

.h.cxx:
	${MOC} ${.IMPSRC} -o ${.TARGET}

.cxx.mo:
	${CXX} ${CFLAGS} -c ${.IMPSRC} -o ${.TARGET}
